clang-tools 10.0.0

Public Member Functions | List of all members
clang::reorder_fields::ReorderFieldsAction Class Reference

`#include <ReorderFieldsAction.h>`

## Public Member Functions
| ReorderFieldsAction (llvm::StringRef RecordName, llvm::ArrayRef< std::string > DesiredFieldsOrder, std::map< std::string, tooling::Replacements > &Replacements)
| ReorderFieldsAction (const ReorderFieldsAction &)=delete
ReorderFieldsAction & | operator= (const ReorderFieldsAction &)=delete
std::unique_ptr< ASTConsumer > | newASTConsumer ()

## Detailed Description

Definition at line 25 of file ReorderFieldsAction.h.

## Constructor & Destructor Documentation

## ◆ ReorderFieldsAction() [1/2]

clang::reorder_fields::ReorderFieldsAction::ReorderFieldsAction | ( | llvm::StringRef | RecordName,
|  | llvm::ArrayRef< std::string > | DesiredFieldsOrder,
|  | std::map< std::string, tooling::Replacements > & | Replacements
| ) |  |
| inline

Definition at line 31 of file ReorderFieldsAction.h.

References newASTConsumer(), and operator=().

## ◆ ReorderFieldsAction() [2/2]

clang::reorder_fields::ReorderFieldsAction::ReorderFieldsAction | ( | const ReorderFieldsAction & |  | ) |
| delete

## Member Function Documentation

## ◆ newASTConsumer()

std::unique_ptr< ASTConsumer > clang::reorder_fields::ReorderFieldsAction::newASTConsumer | ( |  | ) |

Definition at line 304 of file ReorderFieldsAction.cpp.

References RecordName().

Referenced by ReorderFieldsAction().

## ◆ operator=()

ReorderFieldsAction& clang::reorder_fields::ReorderFieldsAction::operator= | ( | const ReorderFieldsAction & |  | ) |
| delete

Referenced by ReorderFieldsAction().

The documentation for this class was generated from the following files:

- ReorderFieldsAction.h
- ReorderFieldsAction.cpp